org.apache.cassandra.utils

## Class Murmur3BloomFilter.Murmur3BloomFilterSerializer

- java.lang.Object
- - org.apache.cassandra.utils.Murmur3BloomFilter.Murmur3BloomFilterSerializer

All Implemented Interfaces:
  ISerializer<BloomFilter>

Enclosing class:
  Murmur3BloomFilter

    public static class Murmur3BloomFilter.Murmur3BloomFilterSerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Murmur3BloomFilter.Murmur3BloomFilterSerializer()`

### Method Summary

Methods
`protected BloomFilter` `createFilter(int hashes, IBitSet bs)`
`BloomFilter` `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
`BloomFilter` `deserialize(java.io.DataInput in, boolean offheap)`
`void` `serialize(BloomFilter bf, java.io.DataOutput out)` Serialize the specified type into the specified DataOutput instance.
`long` `serializedSize(BloomFilter bf, TypeSizes typeSizes)` Calculates a serialized size of the given Bloom Filter

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Murmur3BloomFilter.Murmur3BloomFilterSerializer

    public Murmur3BloomFilter.Murmur3BloomFilterSerializer()

### Method Detail

#### createFilter

    protected BloomFilter createFilter(int hashes,
                           IBitSet bs)

#### serialize

    public void serialize(BloomFilter bf,
                 java.io.DataOutput out)
                   throws java.io.IOException

Description copied from interface: `ISerializer`
Serialize the specified type into the specified DataOutput instance.

Specified by:
  `serialize` in interface `ISerializer<BloomFilter>`
Parameters:
  `bf` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
Throws:
  `java.io.IOException`

#### deserialize

    public BloomFilter deserialize(java.io.DataInput in)
                            throws java.io.IOException

Description copied from interface: `ISerializer`
Deserialize from the specified DataInput instance.

Specified by:
  `deserialize` in interface `ISerializer<BloomFilter>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### deserialize

    public BloomFilter deserialize(java.io.DataInput in,
                          boolean offheap)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(BloomFilter bf,
                      TypeSizes typeSizes)

Calculates a serialized size of the given Bloom Filter

Specified by:
  `serializedSize` in interface `ISerializer<BloomFilter>`
Parameters:
  `bf` - Bloom filter to calculate serialized size
Returns:
  serialized size of the given bloom filter
See Also:
  `BloomFilterSerializer.serialize(BloomFilter, DataOutput)`